/*
** list_add_item_head.c for list in /u/a1/deleda_c/rendu/piscine/j6/list
**
** Made by charles-alban deledalle
** Login   <deleda_c@epita.fr>
**
** Started on  Fri Sep 16 21:25:32 2005 charles-alban deledalle
** Last update Sat Sep 17 04:03:11 2005 charles-alban deledalle
*/

#include <stdlib.h>
#include "s_list.h"

static struct s_list	*list_create_node_aih(void	*data)
{
  struct s_list		*res;

  if (!(res = malloc(sizeof (struct s_list))))
    exit(42);
  res->data = data;
  res->next = NULL;
  return res;
}

void			list_add_item_head(struct s_list	**list,
					   void			*data)
{
  struct s_list		*new;

  new = list_create_node_aih(data);
  new->next = *list;
  *list = new;
}
